Bug 1128998 - [RFE][python-keystoneclient]: Auth Plugin Serialization
Summary: [RFE][python-keystoneclient]: Auth Plugin Serialization
Keywords:
Status: CLOSED UPSTREAM
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: RFEs
Version: unspecified
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
: ---
Assignee: RHOS Maint
QA Contact:
URL: https://blueprints.launchpad.net/pyth...
Whiteboard: upstream_milestone_none upstream_defi...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-08-12 04:00 UTC by RHOS Integration
Modified: 2015-07-22 17:46 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-03-19 17:02:29 UTC


Attachments (Terms of Use)

Description RHOS Integration 2014-08-12 04:00:37 UTC
Cloned from launchpad blueprint https://blueprints.launchpad.net/python-keystoneclient/+spec/auth-plugin-serialize.

Description:

Auth plugins need to be able to be serialized to basic python objects and reloadable. 

This will be needed for storing in a database or for transmitting via RPC between different parts of a service (eg,  n-api transmits the token to the other n- services). 

Specification URL (additional information):

None


Note You need to log in before you can comment on or make changes to this bug.